<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>SK - WYSIWYGエディター</title>
<style type="text/css">
*{padding:0px;margin: 0px;}
html,body {font-family: 'Meiryo UI',Meiryo,'Yu Gothic','MS PGothic','Segoe UI',Tahoma,Helvetica,sans-serif;font-size: 14px;}
#container{padding: 50px;}
</style>
<link href="css/style.css" rel="stylesheet" />
<script src="//ajax.googleapis.com/ajax/libs/jquery/1.11.2/jquery.min.js"></script>
<script src="Editor/skeditor/editor.min.js"></script>
<script src="Editor/skeditor/language.js"></script>
</head>
<body>
	
<div id="container">
  
<!-- フォーム設定サンプル -->
<form name="form" method="post" action="wysiwyg_post.php" target="_blank">
  <div id="MyEditor">
    <textarea id="comment" name="comment"></textarea>
  </div>
  <p style="padding: 20px">
    <input type="submit" style="padding: 5px;font-size:120%" id="editbutton" value="POST送信テスト &gt;&gt;">
  </p>
</form>
  
<!-- エディター設定サンプル -->
<script type="text/javascript">
  jQuery.event.add(window,"load",function(){
    jQuery('#MyEditor').myEditor({
      'editbutton'    : 'editbutton',                                       // POSTボタンのid
      'upload'        : true,                                               // 画像アップロードアイコンの可否
      'manager'       : 'Editor/imagemanager/',                             // imagemanagerの位置
      'img_icon'      : 'Editor/skeditor/icon.png',                         // エディターアイコン画像
      'icon_bkclr'    : '#CEEFEF',                                          // アイコン背景色
      'img_loder'     : 'Editor/skeditor/loader.gif',                       // ローダー画像
      'ifHeight'      : 400,                                                // エディターの初期高さ
      'txHeight'      : 400,                                                // HTMLモード字の高さ
      'customer'      : '<?php echo rnd::createPassword('alpha_numlic',10); ?>', // アップロードディレクトのユニーク名
      'ifResize'      : true,                                              // エディター高さを自動リサイズするかどうか
      'copyright'     : 'Copyright&copy; <a href="http://studio-key.com/" target="_blank">STUDIO KEY</a> Allright reserved.' //下部のコピーライト
    });
  });
</script>
</div>

</body>
</html>
<?php
/**
 * 汎用パスワード生成
 * 
 * numlic       = 数字
 * symbol       = 記号
 * alpha        = 英字大小
 * alpha_numlic = 英字大小+数字
 *
 * rnd::createPassword('type name','length');
 * @sample $rnd = rnd::createPassword('alpha_numlic',100);
 * 
 * @copyright     Copyright (c) STUDIO KEY (http://studio-key.com)
 * @license       http://www.opensource.org/licenses/mit-license.php MIT License
 */

class rnd{
  static function createPassword($type='',$length=8){

   /*
    * 半角大文字・小文字,数字,記号をそれぞれ配列にする
    */
      $pwd_small = range('a', 'z');
      $pwd_big   = range('A', 'Z');
      $pwd_num   = range('0', '9');
      $pwd_sybl  = array_merge(range('!', '/'), range(':', '@'), range('{', '~'));

   /*
    * タイプで生成するパスワード文字を結合して配列にする
    */
      switch($type){
         case 'numlic': //数字だけ
            $pwd_strings = $pwd_num;
         break;
         case 'symbol': //記号だけ
            $pwd_strings = $pwd_sybl;
         break;
         case 'alpha': //英字大小だけ
            $pwd_strings = array_merge($pwd_small,$pwd_big);
         break;
         case 'alpha_numlic': //英字大小+数字
            $pwd_strings = array_merge($pwd_small,$pwd_big,$pwd_num);
         break;
         default: //全て
            $pwd_strings = array_merge($pwd_small,$pwd_big,$pwd_num,$pwd_sybl);
      }

      $pwd = array();
      while (count($pwd) < $length) {
         $key = array_rand($pwd_strings); //生成された配列からランダムに1つのキーを取り出す
         $key = $pwd_strings[$key]; //そのキーの値を得る
         $pwd[] = $key;
      }
      shuffle($pwd); //配列をシャッフルする
      $pwd = implode($pwd); //区切り文字無しで文字列に
      return $pwd;
  }
}
